Page MenuHomePhabricator

metadata: move computation related to files touched in a dedicated module
ClosedPublic

Authored by marmoute on May 27 2020, 9:16 AM.

Details

Summary

This was suggested by Yuya Nishihara a while back. Since I am about to add more
metadata related computation, lets create a new repositories.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.May 27 2020, 9:16 AM
durin42 requested changes to this revision.May 28 2020, 11:37 AM
durin42 added a subscriber: durin42.
durin42 added inline comments.
mercurial/metadata.py
4

This should read "Google, Inc." instead of Martin's name.

This revision now requires changes to proceed.May 28 2020, 11:37 AM
marmoute updated this revision to Diff 21545.Jun 2 2020, 6:48 AM
pulkit added a subscriber: pulkit.Jun 9 2020, 5:12 AM
pulkit added inline comments.
mercurial/metadata.py
4

And I guess no email.

pulkit accepted this revision.Jun 9 2020, 5:44 AM
pulkit added inline comments.
mercurial/metadata.py
4

Will fix in flight to # Copyright 2019 Google Inc.

pulkit requested changes to this revision.Jun 9 2020, 5:54 AM

Fails to apply on current tip of default branch, kindly rebase and resend.

This revision now requires changes to proceed.Jun 9 2020, 5:54 AM
marmoute updated this revision to Diff 21581.Jun 9 2020, 6:16 AM

Fails to apply on current tip of default branch, kindly rebase and resend.

rebased and resent.

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.

Worth mentioning in relnotes? (This has been queued, so that would be a followup.)

Worth mentioning in relnotes? (This has been queued, so that would be a followup.)

I don't think so, what would you mention ?

Worth mentioning in relnotes? (This has been queued, so that would be a followup.)

I don't think so, what would you mention ?

We have a section for API changes. This patch affects many functions. (I suppose you might argue that we don't need to mention changes in private APIs (name prefixed by _), but these are not all private.)

Worth mentioning in relnotes? (This has been queued, so that would be a followup.)

I don't think so, what would you mention ?

We have a section for API changes. This patch affects many functions. (I suppose you might argue that we don't need to mention changes in private APIs (name prefixed by _), but these are not all private.)

These are private API used by experimental feature. I really do not expect that to affect anyone.

Worth mentioning in relnotes? (This has been queued, so that would be a followup.)

I don't think so, what would you mention ?

We have a section for API changes. This patch affects many functions. (I suppose you might argue that we don't need to mention changes in private APIs (name prefixed by _), but these are not all private.)

These are private API used by experimental feature. I really do not expect that to affect anyone.

I was thinking mostly about computechangesetfiles{added,removed}(), which I think are used even when not using experimental features. We happen to override those, but we also never read the release notes, so it's fine not mention it :)